Uses of Class
ubic.gemma.model.common.description.AnnotationValueObject
Packages that use AnnotationValueObject
Package
Description
-
Uses of AnnotationValueObject in ubic.gemma.core.tasks.maintenance
Methods in ubic.gemma.core.tasks.maintenance that return types with arguments of type AnnotationValueObjectMethod parameters in ubic.gemma.core.tasks.maintenance with type arguments of type AnnotationValueObjectModifier and TypeMethodDescriptionvoidCharacteristicUpdateCommand.setAnnotationValueObjects(Collection<AnnotationValueObject> annotationValueObjects) -
Uses of AnnotationValueObject in ubic.gemma.persistence.service.expression.experiment
Methods in ubic.gemma.persistence.service.expression.experiment that return types with arguments of type AnnotationValueObjectModifier and TypeMethodDescriptionExpressionExperimentReadService.getAnnotations(ExpressionExperiment expressionExperiment) ExpressionExperimentReadService.getAnnotations(ExpressionExperiment expressionExperiment, boolean includeFreeText) ExpressionExperimentReadService.getAnnotations(ExpressionExperimentSubSet ee) ExpressionExperimentReadService.getAnnotations(ExpressionExperimentSubSet ee, boolean includeFreeText) ExpressionExperimentReadServiceImpl.getAnnotations(ExpressionExperiment expressionExperiment) ExpressionExperimentReadServiceImpl.getAnnotations(ExpressionExperiment expressionExperiment, boolean includeFreeText) ExpressionExperimentReadServiceImpl.getAnnotations(ExpressionExperimentSubSet ee) ExpressionExperimentReadServiceImpl.getAnnotations(ExpressionExperimentSubSet ee, boolean includeFreeText) ExpressionExperimentService.getAnnotations(ExpressionExperiment ee) Retrieve annotations for a given experiment.ExpressionExperimentService.getAnnotations(ExpressionExperiment ee, boolean includeFreeText) Retrieve annotations for a given experiment, optionally including unmapped ones.ExpressionExperimentService.getAnnotations(ExpressionExperimentSubSet ee) Retrieve annotations for a given experiment subset.ExpressionExperimentService.getAnnotations(ExpressionExperimentSubSet ee, boolean includeFreeText) Retrieve annotations for a given experiment subset, optionally including unmapped ones.ExpressionExperimentServiceImpl.getAnnotations(ExpressionExperiment expressionExperiment) ExpressionExperimentServiceImpl.getAnnotations(ExpressionExperiment expressionExperiment, boolean includeFreeText) ExpressionExperimentServiceImpl.getAnnotations(ExpressionExperimentSubSet ee) ExpressionExperimentServiceImpl.getAnnotations(ExpressionExperimentSubSet ee, boolean includeFreeText) -
Uses of AnnotationValueObject in ubic.gemma.persistence.service.genome.gene
Methods in ubic.gemma.persistence.service.genome.gene that return types with arguments of type AnnotationValueObjectModifier and TypeMethodDescriptionGeneService.findGOTerms(Long geneId) GeneServiceImpl.findGOTerms(Long geneId) -
Uses of AnnotationValueObject in ubic.gemma.persistence.service.genome.sequenceAnalysis
Methods in ubic.gemma.persistence.service.genome.sequenceAnalysis that return types with arguments of type AnnotationValueObjectModifier and TypeMethodDescriptionAnnotationAssociationService.removeRootTerms(Collection<AnnotationValueObject> associations) AnnotationAssociationServiceImpl.removeRootTerms(Collection<AnnotationValueObject> associations) Remove root terms, like "molecular_function", "biological_process" and "cellular_component" Also removes any null objects.Method parameters in ubic.gemma.persistence.service.genome.sequenceAnalysis with type arguments of type AnnotationValueObjectModifier and TypeMethodDescriptionAnnotationAssociationService.removeRootTerms(Collection<AnnotationValueObject> associations) AnnotationAssociationServiceImpl.removeRootTerms(Collection<AnnotationValueObject> associations) Remove root terms, like "molecular_function", "biological_process" and "cellular_component" Also removes any null objects. -
Uses of AnnotationValueObject in ubic.gemma.rest
Subclasses of AnnotationValueObject in ubic.gemma.restModifier and TypeClassDescriptionstatic final classThis is an aggregated entity across value URI and value, thus theidandobjectClassare omitted.Methods in ubic.gemma.rest that return types with arguments of type AnnotationValueObjectModifier and TypeMethodDescriptionDatasetsWebService.addSampleCharacteristic(DatasetArg<?> datasetArg, Long bioAssayId, DatasetsWebService.AnnotationTagInput body) AnnotationsWebService.AnnotationReplaceReport.getAdded()DatasetsWebService.getDatasetAnnotations(DatasetArg<?> datasetArg, Boolean includeFreeText) Retrieves the annotations for the given dataset.AnnotationsWebService.AnnotationReplaceReport.getRemoved()DatasetsWebService.getSampleCharacteristics(DatasetArg<?> datasetArg, Long bioAssayId) DatasetsWebService.removeSampleCharacteristic(DatasetArg<?> datasetArg, Long bioAssayId, Long characteristicId) DatasetsWebService.updateDatasetAnnotations(DatasetArg<?> datasetArg, DatasetsWebService.AnnotationsUpdateRequest body) DatasetsWebService.updateSampleCharacteristics(DatasetArg<?> datasetArg, Long bioAssayId, DatasetsWebService.AnnotationsUpdateRequest body) Constructor parameters in ubic.gemma.rest with type arguments of type AnnotationValueObjectModifierConstructorDescriptionAnnotationReplaceReport(Long eeId, int before, int after, List<AnnotationValueObject> added, List<AnnotationValueObject> removed, int unchanged, List<Long> auditEventIds, List<String> unresolvedUris) Creates a newAnnotationReplaceReportinstance. -
Uses of AnnotationValueObject in ubic.gemma.rest.util.args
Methods in ubic.gemma.rest.util.args that return types with arguments of type AnnotationValueObjectModifier and TypeMethodDescriptionDatasetArgService.getAnnotations(DatasetArg<?> arg) DatasetArgService.getAnnotations(DatasetArg<?> arg, boolean includeFreeText)